Skip to main content
GET
/
v4
/
workflows
/
{workflowId}
/
data
/
export
Materialize a full data export and return a signed download URL
curl --request GET \
  --url https://api.kadoa.com/v4/workflows/{workflowId}/data/export \
  --header 'x-api-key: <api-key>'
{
  "workflowId": "<string>",
  "runId": "<string>",
  "rowCount": 123,
  "url": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "executedAt": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

workflowId
string
required

Query Parameters

format
enum<string>
default:csv
Available options:
csv,
json
runId
string
filters
string
sortBy
string
order
enum<string>
default:asc
Available options:
asc,
desc
rowIds
string

Response

Export materialized

workflowId
string
required
runId
string
required
format
enum<string>
required
Available options:
csv,
json
rowCount
integer
required
url
string
required

Signed, self-authenticating download URL. Valid until expiresAt.

expiresAt
string<date-time>
required
executedAt
string<date-time>